%define major      4
%define libname    %mklibname %{name} %{major}
%define develname  %mklibname -d %{name}

%define git git20110405

Summary:	KControl Module which handles Telepathy Accounts
Name:		telepathy-accounts-kcm
Version:	0.0
Release:	%mkrel -c %{git} 2
Url:		http://kde.org
Source0:	telepathy-accounts-kcm-%{version}-%{git}.tar.bz2
License:	GPLv2+
Group:		Graphical desktop/KDE
BuildRequires:	kdelibs4-devel
BuildRequires:	telepathy-qt4-devel >= 0.1.8
Requires:	%{libname} = %{version}-%{release}

%description
This is a KControl Module which handles adding/editing/removing Telepathy
Accounts. It interacts with any Telepathy Spec compliant AccountManager,
such as telepathy-accountmanager-kwallet to manipulate the accounts. It is
modular in design, with each ConnectionManager-Protocol combination having a
plugin that provides customised forms for adding or editing their accounts,
and also with a generic plugin which can be used as a fallback for
ConnectionManager-Protocol combinations where no plugin exists.

%files
%defattr(-,root,root)
%{_kde_libdir}/kde4/kcm_telepathy_accounts.so
%{_kde_services}/*.desktop
%{_kde_servicetypes}/*.desktop

#===============================================================================

%package -n %{libname}
Summary:	Library package for %{name}
Group:		Graphical desktop/KDE

%description -n %{libname}
Library package for %{name}.

%files -n %{libname}
%defattr(-,root,root)
%{_kde_libdir}/libkcmtelepathyaccounts.so.%{major}*

#===============================================================================

%package -n %{develname}
Summary:	Development headers for %{name}
Group:		Graphical desktop/KDE
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This package contains the development headers required to compile software
against %{name}.

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/KCMTelepathyAccounts/
%{_kde_libdir}/libkcmtelepathyaccounts.so

#===============================================================================

%prep
%setup -q -n %{name}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

%find_lang %{name}

%clean
rm -rf %{buildroot}


%changelog
* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110405.2.mga1
+ Revision: 86061
- bump rel
- add more requires and provides

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110405.1.mga1
+ Revision: 86042
- fix the version tag

* Fri Apr 15 2011 ahmad <ahmad> 0.git20110405-1.mga1
+ Revision: 85997
- imported package telepathy-accounts-kcm

